package com.muyu.common.core.web.model;

import com.baomidou.mybatisplus.core.metadata.OrderItem;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.muyu.common.core.web.page.PageDomain;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.List;

/**
 * @Author：尚志豪
 * @Package：com.muyu.common.core.web
 * @Project：cloud-server
 * @name：QueryModel
 * @Date：2024/11/20 22:26
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class QueryModel<T> {

    private Integer pageNum = 1 ;

    private Integer pagesSize = 2 ;

    private String orderByColumn;

    private boolean isAsc = true;

    private boolean reasonable = true;

    public T domainBuild(PageDomain pageDomain){
        this.pageNum = pageDomain.getPageNum();
        this.pagesSize = pageDomain.getPageSize();
        this.orderByColumn = pageDomain.getOrderByColumn();
        this.isAsc = "asc".equals(pageDomain.getIsAsc());
        return (T) this;
    }

    public <I> Page<I> buildPage(){
        Page<I> page = Page.of(this.getPageNum(),this.getPagesSize());
        page.setOrders(List.of(this.isAsc()?
                OrderItem.asc(this.getOrderByColumn()) : OrderItem.desc(this.getOrderByColumn())));
        return page;
    }
}
