package com.muyu.goods.controller;

import com.muyu.common.core.domain.Result;
import com.muyu.common.core.web.page.TableDataInfo;
import com.muyu.goods.domain.Model.ActivityTeamInfoListModel;
import com.muyu.goods.domain.add.ActivityTeamInfoAdd;
import com.muyu.goods.domain.req.TeamInfoListReq;
import com.muyu.goods.domain.resp.TeamInfoListResp;
import com.muyu.goods.service.ActivityTeamInfoService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @Author：尚志豪
 * @Package：com.muyu.goods.controller
 * @Project：cloud-server
 * @name：ActivityTeamInfoController
 * @Date：2024/11/19 9:21
 */
@Api(tags = "商品拼团信息")
@RestController
@RequestMapping("/ActivityTeamInfo")
public class ActivityTeamInfoController {
    @Autowired
    private ActivityTeamInfoService activityTeamInfoService;


    /**
     * 商品拼团信息列表
     */
    @ApiOperation("商品拼团信息列表")
    @PostMapping("/list")
    public Result<TableDataInfo<TeamInfoListResp>> query(@RequestBody TeamInfoListReq teamInfoListReq){
        TableDataInfo<ActivityTeamInfoListModel> tableDataInfo = activityTeamInfoService.querya(teamInfoListReq.buildQueryModel());
        List<TeamInfoListResp> respList =  tableDataInfo.getRows().stream().map(TeamInfoListResp::listModeBuild).toList();
        return Result.success(
                new TableDataInfo<>(){{
                    setRows(respList);
                    setTotal(tableDataInfo.getTotal());
                }}
        );
    }

    /**
     * 添加
     */
    @ApiOperation("添加商品拼团信息")
    @PostMapping("/add")
    public Result<String> add(@RequestBody ActivityTeamInfoAdd activityTeamInfoAdd){
        activityTeamInfoService.add(activityTeamInfoAdd);
        return Result.success("添加成功");

    }


}
