package com.muyu.goods.controller;

import com.muyu.common.core.domain.Result;
import com.muyu.goods.domain.ActivityTeamProductSkuInfo;
import com.muyu.goods.service.ActivityTeamProductSkuInfoService;
import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @Author：尚志豪
 * @Package：com.muyu.goods.controller
 * @Project：cloud-server
 * @name：ActivityTeamProductSkuInfoController
 * @Date：2024/11/19 9:22
 */
@Api(tags = "商品拼团规格信息表")
@RestController
@RequestMapping("/ActivityTeamProductSkuInfo")
public class ActivityTeamProductSkuInfoController {

    @Autowired
    private ActivityTeamProductSkuInfoService activityTeamProductSkuInfoService;

    /**
     * 列表
     * @return
     */
    @PostMapping("/list")
    public Result<List<ActivityTeamProductSkuInfo>> listResult(){
        return Result.success(activityTeamProductSkuInfoService.lists());
    }
}
