package com.muyu.goods.domain.Model;

import com.muyu.goods.domain.ActivityTeamInfo;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.math.BigDecimal;
import java.util.Date;
import java.util.function.Function;

import static net.sf.jsqlparser.parser.feature.Feature.function;

/**
 * @Author：尚志豪
 * @Package：com.muyu.goods.domain.Model
 * @Project：cloud-server
 * @name：ActivityTeamInfoListModel
 * @Date：2024/11/20 19:57
 * 团购活动列表结果模型
 */

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode()
public class ActivityTeamInfoListModel {
    /**
     * 拼团活动ID
     */
    private Long id;
    /**
     * 拼团名称
     */
    private String name;
    /**
     * 参团人数
     */
    private Long addTeamNumber;
    /**
     * 拼团人数
     */
    private Long attendNumber;
    /**
     * 结束时间
     */
    private Date endTime;
    /**
     * 开团人数
     */
    private Long openTeamNumber;
    /**
     * 拼团商品图片
     */
    private String productImage;
    /**
     * 商品价格
     */
    private BigDecimal productPrice;
    /**
     * 剩余库存
     */
    private Long remainStock;
    /**
     * 团购状态
     */
    private String status;
    /**
     * 拼团价格
     */
    private BigDecimal teamPrice;
    /**
     * 拼团库存
     */
    private Long teamStock;

    public static ActivityTeamInfoListModel infoBuild(ActivityTeamInfo activityTeamInfo, Function<ActivityTeamInfoListModel.ActivityTeamInfoListModelBuilder,ActivityTeamInfoListModel>function){
        ActivityTeamInfoListModel activityTeamInfoListModel = ActivityTeamInfoListModel.builder()
                .id(activityTeamInfo.getId())
                .name(activityTeamInfo.getName())
                .endTime(activityTeamInfo.getEndTime())
                .productImage(activityTeamInfo.getProductImage())
                .status(activityTeamInfo.getStatus())
                .build();
        return function.apply(
                ActivityTeamInfoListModel.builder()
                        .id(activityTeamInfo.getId())
                        .name(activityTeamInfo.getName())
                        .endTime(activityTeamInfo.getEndTime())
                        .productImage(activityTeamInfo.getProductImage())
                        .status(activityTeamInfo.getStatus())

        );
    }
}
