package com.muyu.goods.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 拼团免单策略
 * @TableName team_strategy_exemption
 */
@TableName(value ="team_strategy_exemption")
@Data
public class TeamStrategyExemption implements Serializable {
    /**
     * 主键
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 持续时间
     */
    private Long duration;

    /**
     * 免单人数
     */
    private Long exemptionNumber;

    /**
     * 最大购买量
     */
    private Long maxBuy;

    /**
     * 单次购买量
     */
    private Long oneBuy;

    /**
     * 虚拟人数
     */
    private Long virtualNumber;

    /**
     * 面单类型
     */
    private String type;

    /**
     * 返款阶梯
     */
    private String ruleInfo;

    /**
     * 策略状态
     */
    private String status;

    /**
     * 创建人
     */
    private String createBy;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 修改人
     */
    private String updateBy;

    /**
     * 修改时间
     */
    private Date updateTime;

    /**
     * 备注
     */
    private String remark;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        TeamStrategyExemption other = (TeamStrategyExemption) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getDuration() == null ? other.getDuration() == null : this.getDuration().equals(other.getDuration()))
            && (this.getExemptionNumber() == null ? other.getExemptionNumber() == null : this.getExemptionNumber().equals(other.getExemptionNumber()))
            && (this.getMaxBuy() == null ? other.getMaxBuy() == null : this.getMaxBuy().equals(other.getMaxBuy()))
            && (this.getOneBuy() == null ? other.getOneBuy() == null : this.getOneBuy().equals(other.getOneBuy()))
            && (this.getVirtualNumber() == null ? other.getVirtualNumber() == null : this.getVirtualNumber().equals(other.getVirtualNumber()))
            && (this.getType() == null ? other.getType() == null : this.getType().equals(other.getType()))
            && (this.getRuleInfo() == null ? other.getRuleInfo() == null : this.getRuleInfo().equals(other.getRuleInfo()))
            && (this.getStatus() == null ? other.getStatus() == null : this.getStatus().equals(other.getStatus()))
            && (this.getCreateBy() == null ? other.getCreateBy() == null : this.getCreateBy().equals(other.getCreateBy()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getUpdateBy() == null ? other.getUpdateBy() == null : this.getUpdateBy().equals(other.getUpdateBy()))
            && (this.getUpdateTime() == null ? other.getUpdateTime() == null : this.getUpdateTime().equals(other.getUpdateTime()))
            && (this.getRemark() == null ? other.getRemark() == null : this.getRemark().equals(other.getRemark()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getDuration() == null) ? 0 : getDuration().hashCode());
        result = prime * result + ((getExemptionNumber() == null) ? 0 : getExemptionNumber().hashCode());
        result = prime * result + ((getMaxBuy() == null) ? 0 : getMaxBuy().hashCode());
        result = prime * result + ((getOneBuy() == null) ? 0 : getOneBuy().hashCode());
        result = prime * result + ((getVirtualNumber() == null) ? 0 : getVirtualNumber().hashCode());
        result = prime * result + ((getType() == null) ? 0 : getType().hashCode());
        result = prime * result + ((getRuleInfo() == null) ? 0 : getRuleInfo().hashCode());
        result = prime * result + ((getStatus() == null) ? 0 : getStatus().hashCode());
        result = prime * result + ((getCreateBy() == null) ? 0 : getCreateBy().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getUpdateBy() == null) ? 0 : getUpdateBy().hashCode());
        result = prime * result + ((getUpdateTime() == null) ? 0 : getUpdateTime().hashCode());
        result = prime * result + ((getRemark() == null) ? 0 : getRemark().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", duration=").append(duration);
        sb.append(", exemptionNumber=").append(exemptionNumber);
        sb.append(", maxBuy=").append(maxBuy);
        sb.append(", oneBuy=").append(oneBuy);
        sb.append(", virtualNumber=").append(virtualNumber);
        sb.append(", type=").append(type);
        sb.append(", ruleInfo=").append(ruleInfo);
        sb.append(", status=").append(status);
        sb.append(", createBy=").append(createBy);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateBy=").append(updateBy);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", remark=").append(remark);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}
