package com.muyu.goods.domain.add;/**
 * @Author：尚志豪
 * @Package：com.muyu.goods.domain.add
 * @Project：cloud-server
 * @name：ActivityTeamInfoAdd
 * @Date：2024/11/22 19:02
 */

import com.fasterxml.jackson.annotation.JsonFormat;
import com.muyu.common.core.web.domain.BaseEntity;
import com.muyu.goods.domain.ActivityTeamInfo;
import com.muyu.goods.domain.ActivityTeamProductSkuInfo;
import com.muyu.product.domain.CommentInfo;
import com.muyu.product.domain.model.RuleAttrAddModel;
import com.muyu.product.domain.model.RuleInfoAddModel;
import com.muyu.product.domain.req.CommentInfoSaveReq;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.Date;
import java.util.List;

/**
 * @program: cloud-server
 * @description: 商品拼团信息添加表
 * @author: CuiFu Bo
 * @create: 2024-11-22 19:02
 **/
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
public class ActivityTeamInfoAdd extends BaseEntity {
    /**
     * id
     */
    private Long id;
    /**
     * 商品ID
     */
    private Long productId;
    /**
     * 拼团商品图片
     */
    private String productImage;
    /**
     * 拼团名称
     */
    private String name;
    /**
     * 活动简介
     */
    private String introduction;
    /**
     * 商品单位
     */
    private String unit;
    /**
     * 商品的轮播图
     */
    private String imageList;
    /**
     * 活动时间
     */
    private Date endTime;
    /**
     * 策略类型
     */
    private String strategyType;
    /**
     * 策略ID
     */
    private Long strategyId;
    /**
     * 商品规格list
     */
    private List<ActivityTeamProductSkuInfo> ruleInfoAddList;
    /**
     * 排序
     */
    private Integer sort;
    /**
     * 详情
     */
    private String content;

    /**
     * 添加构造器
     */
    public static ActivityTeamInfo saveBuild(ActivityTeamInfoAdd activityTeamInfoAdd){
        return ActivityTeamInfo.builder()
                .id(activityTeamInfoAdd.getId())
                .productId(activityTeamInfoAdd.getProductId())
                .productImage(activityTeamInfoAdd.getProductImage())
                .name(activityTeamInfoAdd.getName())
                .introduction(activityTeamInfoAdd.getIntroduction())
                .unit(activityTeamInfoAdd.getUnit())
                .imageList(activityTeamInfoAdd.getImageList())
                .endTime(activityTeamInfoAdd.getEndTime())
                .strategyType(activityTeamInfoAdd.getStrategyType())
                .strategyId(activityTeamInfoAdd.getStrategyId())
                .sort(activityTeamInfoAdd.getSort())
                .content(activityTeamInfoAdd.getContent())
                .build();
    }

}
