package com.muyu.goods.domain.resp;

import com.muyu.goods.domain.Model.ActivityTeamInfoListModel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author：尚志豪
 * @Package：com.muyu.goods.domain.resp
 * @Project：cloud-server
 * @name：TeamInfoListResp
 * @Date：2024/11/20 20:00
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class TeamInfoListResp {
    /**
     * 拼团活动ID
     */
    private Long id;
    /**
     * 拼团名称
     */
    private String name;
    /**
     * 拼团商品图片
     */
    private String productImage;
    /**
     * 商品价格
     */
    private BigDecimal productPrice;
    /**
     * 拼团价格
     */
    private BigDecimal teamPrice;
    /**
     * 拼团人数
     */
    private Long attendNumber;
    /**
     * 开团人数
     */
    private Long openTeamNumber;
    /**
     * 参团人数
     */
    private Long addTeamNumber;
    /**
     * 团购库存
     */
    private Long teamStock;
    /**
     * 剩余库存
     */
    private Long RemainStock;
    /**
     * 团购结束时间
     */
    private Date endTime;
    /**
     * 团购状态
     */
    private String status;

    public static TeamInfoListResp listModeBuild(ActivityTeamInfoListModel activityTeamInfoListModel){
        return TeamInfoListResp.builder()
                .id(activityTeamInfoListModel.getId())
                .name(activityTeamInfoListModel.getName())
                .productImage(activityTeamInfoListModel.getProductImage())
                .productPrice(activityTeamInfoListModel.getProductPrice())
                .teamPrice(activityTeamInfoListModel.getTeamPrice())
                .attendNumber(activityTeamInfoListModel.getAttendNumber())
                .openTeamNumber(activityTeamInfoListModel.getOpenTeamNumber())
                .addTeamNumber(activityTeamInfoListModel.getAddTeamNumber())
                .teamStock(activityTeamInfoListModel.getTeamStock())
                .RemainStock(activityTeamInfoListModel.getRemainStock())
                .endTime(activityTeamInfoListModel.getEndTime())
                .status(activityTeamInfoListModel.getStatus())
                .build();
    }
}
