package com.muyu.goods.service;

import com.muyu.common.core.enums.market.team.TeamOpenTypeEnum;
import com.muyu.goods.domain.ActivityTeamOpenInfo;
import com.baomidou.mybatisplus.extension.service.IService;

/**
*
*/
public interface ActivityTeamOpenInfoService extends IService<ActivityTeamOpenInfo> {

    /**
     * 通过活动Id和开团类型查询开团梳理
     * @return
     */
    public Long getTeamOpenNumberByIdAndType(Long teamId, TeamOpenTypeEnum teamOpenType);

    /**
     * 根据活动ID获取开团数量
     */
    public default  Long getTeamOpenTypeNumberByTeamId(Long teamId){
        return this.getTeamOpenNumberByIdAndType(teamId,TeamOpenTypeEnum.OPEN_TEAM);
    };
    /**
     * 根据活动Id获取参团数量
     */
    public default Long getTeamInTypeNumberByTeamId(Long teamId){
        return this.getTeamOpenNumberByIdAndType(teamId, TeamOpenTypeEnum.IN_TEAM);
    };
}
