package com.muyu.goods.service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.muyu.goods.domain.ActivityTeamProductSkuInfo;
import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.goods.domain.Model.TeamProductStockModel;
import com.muyu.goods.domain.TeamProductDiscountPriceMode;

import java.util.List;

/**
*
*/
public interface ActivityTeamProductSkuInfoService extends IService<ActivityTeamProductSkuInfo> {
    public default List<ActivityTeamProductSkuInfo> getActivityTeamProductSkuInfoByTeamId(Long teamId){
        LambdaQueryWrapper<ActivityTeamProductSkuInfo> lambdaQueryWrapper = new LambdaQueryWrapper<>();
        lambdaQueryWrapper.eq(ActivityTeamProductSkuInfo::getTeamId,teamId);
        return this.list(lambdaQueryWrapper);
    }

    /**
     * 通过团购活动Id获取团购中最优惠的价格
     * @param teamId
     * @return
     */
    public TeamProductDiscountPriceMode getDiscountPrice(Long teamId);

    /**
     * 通过活动Id获取 剩余库存
     * @param teamId
     * @return
     */
    public TeamProductStockModel getStock(Long teamId);
    /**
     * 列表
     * @return
     */
    List<ActivityTeamProductSkuInfo> lists();
}
