package com.muyu.goods.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.common.core.enums.market.team.TeamOpenTypeEnum;
import com.muyu.goods.domain.ActivityTeamOpenInfo;
import com.muyu.goods.service.ActivityTeamOpenInfoService;
import com.muyu.goods.mapper.ActivityTeamOpenInfoMapper;
import org.springframework.stereotype.Service;

/**
*
*/
@Service
public class ActivityTeamOpenInfoServiceImpl extends ServiceImpl<ActivityTeamOpenInfoMapper, ActivityTeamOpenInfo>
implements ActivityTeamOpenInfoService{

    /**
     * 通过活动Id和开团类型查询开团数量
     * @param teamId
     * @param teamOpenType
     * @return
     */
    @Override
    public Long getTeamOpenNumberByIdAndType(Long teamId, TeamOpenTypeEnum teamOpenType) {
        LambdaQueryWrapper<ActivityTeamOpenInfo> queryWrapper = new LambdaQueryWrapper<>();
        queryWrapper.eq(ActivityTeamOpenInfo::getTeamId, teamId);
        queryWrapper.eq(ActivityTeamOpenInfo::getTeamType, teamOpenType.code());
        return this.count(queryWrapper);
    }



}
