package com.muyu.product.domain.req;

import com.muyu.product.domain.AttributeInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.List;

/**
 * @Author：尚志豪
 * @Package：com.muyu.product.domain.req
 * @Project：cloud-server
 * @name：CategoryInfoUpdEditReq
 * @Date：2024/11/14 20:20
 * TODO
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "CategoryInfoUpdEditReq", description = "品类修改信息")
public class CategoryInfoUpdEditReq {
    private static final long serialVersionUID = 1L;

    /** 主键 */

    @ApiModelProperty(name = "主键", value = "主键")
    private Long id;

    /** 品类名称 */

    @ApiModelProperty(name = "品类名称", value = "品类名称", required = true)
    private String name;

    /** 图片 */

    @ApiModelProperty(name = "图片", value = "图片", required = true)
    private String image;

    /** 是否启用 */

    @ApiModelProperty(name = "是否启用", value = "是否启用", required = true)
    private String start;

    /** 介绍 */

    @ApiModelProperty(name = "介绍", value = "介绍")
    private String introduction;

    /**
     * 商品属性组关联ID
     */
    private List<Long> attributeGroupIdList;
    /**
     * 商品属性关联ID
     */
    private List<Long> attributeIdList;

    /**
     * 商品品牌组关联ID
     */
    private List<Long> brandIdList;
}
