package com.muyu.product.domain.resp;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.muyu.common.core.annotation.Excel;
import com.muyu.product.domain.AttributeGroup;
import com.muyu.product.domain.AttributeInfo;
import com.muyu.product.domain.BrandInfo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author DongZl
 * @description: 类别父通用元素
 * @Date 2024-3-1 上午 11:02
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class CategoryParentCommonElementResp {

    /**
     * 主表
     */
    @TableId(value = "id",type = IdType.AUTO)
    @ApiModelProperty(name = "主表",value = "主键")
    private Long id;

    /**
     * 品类名称
     */
    @Excel(name = "品类名称")
    @ApiModelProperty(name = "品类名称", value = "品类名称", required = true)
    private String name;

    /**
     * 图片
     */
    @Excel(name = "图片")
    @ApiModelProperty(name = "图片", value = "图片", required = true)
    private String image;

    /**
     * 是否启用
     */
    @Excel(name = "是否启用")
    @ApiModelProperty(name = "是否启用", value = "是否启用", required = true)
    private String start;

    /**
     * 介绍
     */
    @Excel(name = "介绍")
    @ApiModelProperty(name = "介绍",value = "介绍")
    private String introduction;

    private Long parentId;
    /**
     * 属性集合
     */
    private List<AttributeInfo> attributeInfoList;

    /**
     * 属性组集合
     */
    private List<AttributeGroup> attributeGroupList;

    /**
     * 品牌集合
     */
    private  List<BrandInfo> brandInfoList;

}
